LingvoWiki:Пользовательский скрипт для китайского текста

Материал из LingvoWiki

Перейти к: навигация, поиск

Если Вам часто приходится пользоваться шаблонами {{汉|...}} и {{漢|...}}, вы можете использовать пользовательсий сценарий (userscript) для того, чтобы автоматически расставить один из этих тегов.

Содержание

Общая информация

Сценарий добавляет две кнопки под полем редактирования в LingvoWiki. Они позволяют обвести шаблонами все китайские иероглифы на странице, которые ещё не обведены одним из таких шаблонов.

Известные ошибки:

  • Пока что сценарий с удовольствием обводит кану, хангыль и что-нибудь ещё. Не используйте сценарий на страницах, где есть некитайский текст.
  • Скрипт пока что считает иероглифами все символы из верхних плоскостей уникода.

Wishlist:

  • Добавить поддержку изменения не всего текста, а только выделенного.
  • Добавить поддержку тегов для отдельных китайских диалектов.
  • Возможно, после тестирования интегрировать этот скрипт в основное меню LingvoWiki?
  • Добавить какое-нибудь клавиатурное сокращение?

Установка

Firefox

Сценарий успешно работает в Firefox 13.0 с Greasemonkey 0.9.20.

Инструкции по установке:

  1. Установите дополнение Greasemonkey (или совместимую альтернативу)
  2. Перейдите на страницу http://userscripts.org/scripts/show/137492 и нажмите на кнопку Install в верхнем правом углу.

Установка в Опере

Сценарий проверен и успешно работает в Opera 11.64.

  1. Узнайте, где расположена ваша папка для пользовательских сценариев (или укажите в ней путь, если он не установлен):
    1. Откройте меню Tools [Настройки, 設定] > Preferences [Общие настройки, 功能設定] > Advanced [Расширенные, 進階] > Content [Содержимое, 內容], затем нажмите на кнопку JavaScript Options [Настроить JavaScript, JavaScript 選項]; в появившемся окне будет поле, где можно посмотреть или указать папку для пользовательских сценариев. По умолчанию эта папка не установлена.
  2. Сохраните этот скрипт: http://userscripts.org/scripts/source/137492.user.js в Вашей папке для пользовательских сценариев (убедитесь, что не меняете расширения — оно должно быть «.user.js»).
Личные инструменты